#Creating the BDB directories.
mkdir -p /ezxlocal/download/appwrite/drm/oadb/data
mkdir -p /ezxlocal/download/appwrite/drm/oadb/tmp
mkdir -p /ezxlocal/download/appwrite/drm/oadb/log
#Copying the DRMV2 Flex Config File.
cp /usr/testuda/lj_drm.cfg /ezxlocal/download/appwrite/setup/

export LD_LIBRARY_PATH=/usr/lib/ezx/lib

#Provision the device:
#Test Commands tool has and entry in the OS's RAC list. 
#We hijack it to allow us to have permission to write
#to the private key store and to read from the private
#key store.
#umount /usr/SYSqtapp/wmdrm/wmdrmapp
#mount -o bind /usr/testuda/provision_drm_pki /usr/SYSqtapp/wmdrm/wmdrmapp
#if [ "x$1" = "x" -o "x$2" = "x" ]
#then
#    echo "certificate path and/or key path is missing"
#    exit
#else
#/usr/SYSqtapp/wmdrm/wmdrmapp -n -c "$1" -c /usr/testuda/OMADRMV2_TestData/cert/ca.pem -c /usr/testuda/OMADRMV2_TestData/cert/root.pem -k "$2"
#fi

#Start the uda daemon:
#The same hack as above: we need permission to read
#from the TPA private key store. The correct solution
#is to add '/usr/SYSqtapp/drmdaemon/udadaemon' to the
#OS's RAC list.
umount  /usr/SYSqtapp/wmdrm/wmdrmapp
mount -o bind /usr/SYSqtapp/drmdaemon/udadaemon /usr/SYSqtapp/wmdrm/wmdrmapp
. /etc/initservices/services/ezxenv.sh
/usr/SYSqtapp/wmdrm/wmdrmapp
